// components/ent-type/ent-type.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   * 企业类型 一般纳税人：1; 小规模纳税人：2; 起征点以下纳税人：3;
   */
  data: {
    list: [{
        value: 1,
        text: '一般纳税人',
        selected: true
      },
      {
        value: 2,
        text: '小规模纳税人',
        selected: false
      },
      {
        value: 3,
        text: '起征点以下纳税人',
        selected: false
      }
    ]
  },

  /**
   * 组件的方法列表
   */
  methods: {
    select(e) {
      let index = Number(e.currentTarget.dataset.index)
      let list = this.data.list
      for (let i = 0; i < list.length; i++) {
        list[i].selected = false
      }
      list[index].selected = true
      this.setData({
        list
      })
      let value = list[index].value
      this.triggerEvent('select', {
        value
      })
    }
  }
})